#include <stdio.h>
#include "adc.h"

int main()
{
	int ret;
	struct struct_piezo *piezo;

	/* 생성 */
	piezo = piezo_init(0, 0xff0);

	while(1) {
		/* 체킹하기위한 함수이다.

			Prototype
			ret = check_adc(int delay, 센서종류 | 센서행동);
			ret는 0 혹은 양의정수.
			adc.h파일을 보면 기술되어 있다.
		*/
		ret = piezo->check_piezo(50000, ADC_PIEZO | PIEZO_WIND);

		printf("piezo->raw = %d\n", piezo->raw);

		if (ret)
			printf("wind~ wind~ wind~ wind~ wind~\n");
	}

	/* 메모리해제및 종료작업 */
	piezo->exit();

	return 0;
}
