#define BULB_IMAGE1_PATH		"images/bulb1.raw"
#define BULB_IMAGE2_PATH		"images/bulb2.raw"

#define BULB_MANUAL_IMAGE_PATH		"images/bulb_manual.raw"

#define BULB_ON_WAV_PATH		"sound/bulb_on.wav"

#define BULB_IMAGE_X_SIZE		300
#define BULB_IMAGE_Y_SIZE		300

#define BULB_MANUAL_IMAGE_X_SIZE	440
#define	BULB_MANUAL_IMAGE_Y_SIZE	280

#define BULB_IMAGE_X_OFFSET		170
#define BULB_IMAGE_Y_OFFSET		90

#define BULB_MANUAL_IMAGE_X_OFFSET	100
#define BULB_MANUAL_IMAGE_Y_OFFSET	100

#define BULB_IMAGE_SIZE			( BULB_IMAGE_X_SIZE * BULB_IMAGE_Y_SIZE )
#define BULB_MANUAL_IMAGE_SIZE		( BULB_MANUAL_IMAGE_X_SIZE * BULB_MANUAL_IMAGE_Y_SIZE )
#define BULB_ON_WAV_SIZE		19212

#define POWER_OFF			1
#define INFO				2
#define	BULB_ON				3
#define STOP				4

unsigned short bulb_image1[BULB_IMAGE_SIZE];
unsigned short bulb_image2[BULB_IMAGE_SIZE];
unsigned short bulb_manual[BULB_MANUAL_IMAGE_SIZE];

unsigned char  bulb_on_wav[BULB_ON_WAV_SIZE];

int wind_key=1;
int bulb_on=0;

struct blue_packet bt;

void init_bulb_app(void);
void display_bulb_image(void);
void display_bulb_info_image(void);
void *wind_thread_func(void *arg);
int check_click_zone(short x, short y);
void cleanup();
