#include <stdio.h>
#include "blue.h"
#include "tet.h"

int main()
{
	struct blue_packet bt;
	struct tet_block tet[4];
	unsigned int data;
	int i;

	bt_init();

	bt_make_packet(&bt, BT_MASTER1, BT_SLAVE, BT_CTL_TET); 

	data = BT_CTL_TET_SET;

	bt_send(&bt, &data, 4);

	bt_recv(&bt, tet, 12);

	for (i=0; i<4; i++) {
		printf("%d %d %d\n", tet[i].block_id, tet[i].color, tet[i].correct);
	}

	bt_exit();
	return 0;
}



