#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <termios.h>
#include <errno.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <sys/signal.h>

#include "irda.h"

int main(int argc, char **argv)
{
	struct irda_instance irda;

	init_irda(&irda);

	while(1)
	{
		
		if(is_attached(&irda, DOWN_CHECK))
			printf("DOWN ATTACHED!\n");

		if(is_attached(&irda, RIGHT_CHECK))
			printf("RIGHT ATTACHED!\n");

		if(is_attached(&irda, UP_CHECK))
			printf("UP ATTACHED!\n");

		if(is_attached(&irda, LEFT_CHECK))
			printf("LEFT ATTAHCED!\n");
		
	}

	irda_close(&irda);

	return 0;
}
