#define EWSN_IMAGE_PATH				"images/ewsn.raw"
#define EWSN_LEFT_IMAGE_PATH			"images/ewsn_left.raw"
#define EWSN_RIGHT_IMAGE_PATH			"images/ewsn_right.raw"
#define EWSN_UP_IMAGE_PATH			"images/ewsn_up.raw"
#define EWSN_DOWN_IMAGE_PATH			"images/ewsn_down.raw"

#define EWSN_MANUAL_IMAGE_PATH			"images/ewsn_manual.raw"

#define EWSN_IMAGE_X_SIZE			300
#define EWSN_IMAGE_Y_SIZE			300

#define EWSN_MANUAL_IMAGE_X_SIZE		440
#define EWSN_MANUAL_IMAGE_Y_SIZE		280

#define EWSN_IMAGE_X_OFFSET			170
#define EWSN_IMAGE_Y_OFFSET			90

#define EWSN_MANUAL_IMAGE_X_OFFSET		100
#define EWSN_MANUAL_IMAGE_Y_OFFSET		100

#define EWSN_IMAGE_SIZE				( EWSN_IMAGE_X_SIZE * EWSN_IMAGE_Y_SIZE )
#define EWSN_MANUAL_IMAGE_SIZE			( EWSN_MANUAL_IMAGE_X_SIZE * EWSN_MANUAL_IMAGE_Y_SIZE )

#define LEFT_CLICKED				1
#define RIGHT_CLICKED				2
#define UP_CLICKED				3
#define DOWN_CLICKED				4
#define CENTER					0

#define POWER_OFF				1
#define INFO					2
#define STOP					3

unsigned short ewsn[EWSN_IMAGE_SIZE];
unsigned short ewsn_left[EWSN_IMAGE_SIZE];
unsigned short ewsn_right[EWSN_IMAGE_SIZE];
unsigned short ewsn_up[EWSN_IMAGE_SIZE];
unsigned short ewsn_down[EWSN_IMAGE_SIZE];
unsigned short ewsn_manual[EWSN_MANUAL_IMAGE_SIZE];

int acc_key=1;
struct blue_packet bt;

void init_ewsn_app(void);
void display_ewsn_image(void);
void display_ewsn_info_image(void);
void *acc_thread_func(void *arg);
int check_click_zone(short x, short y);
void cleanup();
