#define SHAKE_IMAGE0_PATH		"images/shake0.raw"
#define SHAKE_IMAGE_P_1_PATH		"images/shake+1.raw"
#define SHAKE_IMAGE_P_2_PATH		"images/shake+2.raw"
#define SHAKE_IMAGE_P_3_PATH		"images/shake+3.raw"
#define SHAKE_IMAGE_P_4_PATH		"images/shake+4.raw"
#define SHAKE_IMAGE_P_5_PATH		"images/shake+5.raw"
#define SHAKE_IMAGE_M_1_PATH		"images/shake-1.raw"
#define SHAKE_IMAGE_M_2_PATH		"images/shake-2.raw"
#define SHAKE_IMAGE_M_3_PATH		"images/shake-3.raw"
#define SHAKE_IMAGE_M_4_PATH		"images/shake-4.raw"

#define SHAKE_MANUAL_IMAGE_PATH		"images/shake_manual.raw"

#define BELL_WAV_PATH			"sound/bell.wav"

#define SHAKE_IMAGE_X_SIZE		300
#define SHAKE_IMAGE_Y_SIZE		300

#define SHAKE_MANUAL_IMAGE_X_SIZE	440
#define SHAKE_MANUAL_IMAGE_Y_SIZE	280

#define SHAKE_IMAGE_X_OFFSET		170
#define SHAKE_IMAGE_Y_OFFSET		90

#define SHAKE_MANUAL_IMAGE_X_OFFSET	100
#define SHAKE_MANUAL_IMAGE_Y_OFFSET	100

#define SHAKE_IMAGE_SIZE		( SHAKE_IMAGE_X_SIZE * SHAKE_IMAGE_Y_SIZE )
#define SHAKE_MANUAL_IMAGE_SIZE		( SHAKE_MANUAL_IMAGE_X_SIZE * SHAKE_MANUAL_IMAGE_Y_SIZE )
#define BELL_WAV_SIZE			327212

#define POWER_OFF			1
#define INFO				2
#define STOP				3

unsigned short shake0[SHAKE_IMAGE_SIZE];
unsigned short shake_p_1[SHAKE_IMAGE_SIZE];
unsigned short shake_p_2[SHAKE_IMAGE_SIZE];
unsigned short shake_p_3[SHAKE_IMAGE_SIZE];
unsigned short shake_p_4[SHAKE_IMAGE_SIZE];
unsigned short shake_p_5[SHAKE_IMAGE_SIZE];
unsigned short shake_m_1[SHAKE_IMAGE_SIZE];
unsigned short shake_m_2[SHAKE_IMAGE_SIZE];
unsigned short shake_m_3[SHAKE_IMAGE_SIZE];
unsigned short shake_m_4[SHAKE_IMAGE_SIZE];
unsigned short shake_manual[SHAKE_MANUAL_IMAGE_SIZE];

unsigned char bell_wav[BELL_WAV_SIZE];

pthread_t bell_thread;
void *bell_thread_result;

int acc_key=1;
int ts_key=1;

void init_shake_app(void);
void display_shake_image(void);
void display_shake_info_image(void);
void *acc_thread_func(void *arg);
void *bell_thread_func(void *arg);
int check_click_zone(short x, short y);
void display_shaking_bell(void);
void cleanup();
